<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<style>
button{
	background-color:white;
	color:red;
	border:none;
	padding:15px 30px;
	position: relative;
	overflow: hidden;
	width:80px;
	height:50px;
	box-shadow:01px 2px 0 rgba(0,0,0,0.16),0 1px 5px 0 rgba(0,0,0,0.12)!important;
}
span{
	color:red;
	/*position: absolute;*/
	margin: auto;
	 z-index: 5;
	transition: 1.2s;
}
button::before{
	content:'';
	position:absolute;
	height:16px;
	width: 16px;
	color:red;
	bottom: -8px;
	left:-8px;
	background-color: red;
	z-index: 0;
	transform: rotate(45deg);
	transition: 1.2s;
}
button:hover{
	color:white;
}
button:hover span{
	color:white;
}
button:hover::before{
	width:400px;
	height:400px;
	bottom:-200px;
	left: -200px
}
body{
display:flex;
justify-content: center;
}

</style>
<body>
<button>
	<span>Contact Us</span>
</button>
</body>
</html>
